#!/bin/bash
##################################################################
# 0 or 1 or 2 argument :
#   - 1st = suffix of the physics used (eg: foo --> use phy1dfoo, model name = lmdz1d_foo.e)
#   - 2nd = suffix of the model name (eg : 42 --> model = lmdz1d_foo_42.e)
#      (A dot is equivalent to the absence of a suffix).
# Examples :
#   compile.x norad --> physiq = phy1dnorad, model = lmdz1d_norad.e
#   compile.x norad 42 --> physiq = phy1dnorad, model = lmdz1d_norad_42.e
#   compile.x --> physiq = phy1d, model = lmdz1d.e
#   compile.x . 42 --> physiq = phy1d, model = lmdz1d_42.e
##################################################################
#

######################################################################
# Nombre de niveaux  : 19 ou 40 pour arm cumulus
llm=40
######################################################################

opt_comp="-debug"
opt_comp=""

#
if [ -n "$1" -a "$1" != \. ]
then
 physiq="$1"
 physname="_$1"
else
 physiq=""
 physname=""
fi

if [ -n "$2" -a "$2" != \. ]
then
 exec="_$2"
else
 exec=""
fi
suffix=${physname}${exec}_L$llm
#

#
ici=`pwd`
#
#
#
if [ -d ../../modipsl/modeles/LMDZ5 ] ; then
   lmdz5='../../modipsl/modeles/LMDZ5'
elif [ -d ../modipsl/modeles/LMDZ5 ] ; then
   lmdz5='../modipsl/modeles/LMDZ5'
elif [ -d ../../modipsl/modeles/LMDZ4 ] ; then
   lmdz5='../../modipsl/modeles/LMDZ4'
elif [ -d ../modipsl/modeles/LMDZ4 ] ; then
   lmdz5='../modipsl/modeles/LMDZ4'
else
   echo Probleme : je ne trouve pas LMDZ
   exit
fi
#
echo "compilation sur: "$lmdz5
#
#
cd $lmdz5
#
##  save suffix-free model
rm -f lmdz1d.e.zzzztemporary
mv lmdz1d.e lmdz1d.e.zzzztemporary
./makegcm ${opt_comp} -d $llm -p 1d${physiq} lmdz1d
if [ -f lmdz1d.e ]
then
  if [ -n "${suffix}" ]
  then
   cp -f lmdz1d.e lmdz1d${suffix}.e
   rm -f lmdz1d.e
   mv lmdz1d.e.zzzztemporary lmdz1d.e
  else
   rm -f lmdz1d.e.zzzztemporary
  fi
   echo "retour ici"
   cd $ici
   rm -f lmdz1d${suffix}.e
   ln -s  ${lmdz5}/lmdz1d${suffix}.e lmdz1d${suffix}.e
else
  mv lmdz1d.e.zzzztemporary lmdz1d.e
fi

